<?PHP

/*-----------------------------------------------------------------------------------*/
/*	Install Database
/*-----------------------------------------------------------------------------------*/

function tcsublocker_db_install(){
	
	// define needed globals
	global $wpdb;
	global $tcsublocker_db_version;

	// create table
	$table_name = $wpdb->prefix . "tc_subscriber_lock";
	$sql = "CREATE TABLE ".$table_name." (
		`id` INT(11) NOT NULL AUTO_INCREMENT PRIMARY KEY, 
		`status` VARCHAR(250) NOT NULL, 
		`first_name` VARCHAR(250) NOT NULL, 
		`last_name` VARCHAR(250) NOT NULL, 
		`email` VARCHAR(250) NOT NULL, 
		`phone_number` VARCHAR(250) NOT NULL, 
		`ip` VARCHAR(250) NOT NULL, 
		`time` DATETIME NOT NULL
	) ENGINE = MyISAM;";

	require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
	dbDelta($sql);
	
	// store db version
	add_option("tcsublocker_db_version", "1.0");
	
}

/*-----------------------------------------------------------------------------------*/
/*	Start JS Loader
/*-----------------------------------------------------------------------------------*/
	
// This will make sure all of the JS is only called once!
function tcsublocker_jsloader() {
	
	// Make sure we are not in the admin section
	if (!is_admin() & get_option('tcsublocker-enabled') != 3) {

		// Root wp-content path
		$root = get_bloginfo('wpurl')."/wp-content";
		
		// Include jQuery from WordPress
		wp_enqueue_script('jquery');
		
		// Get plugin CSS
		wp_deregister_style('tcsublocker_css');
		wp_register_style('tcsublocker_css', TCSUBLOCKER_LOCATION.'/css/tcsublocker.css');
		wp_enqueue_style('tcsublocker_css');
		
	}
	
	// Bootsrtap MCE
	tcsublocker_mce();
	
}

/*-----------------------------------------------------------------------------------*/
/*	Handle Form Submit
/*-----------------------------------------------------------------------------------*/

function tcsublocker_form_hooks(){ ?>

	<script type="text/javascript">
	
		jQuery(document).ready(function(){
			
			jQuery(".tcsublocker-sub-form").submit(function(){
								
				var thisForm = jQuery(this);
				var thisData = thisForm.serialize();
				var resultmsg = thisForm.children("div.replaceArea");
				var errormsg = resultmsg.children("div.replaceArea-error");
				jQuery('input[type="submit"]',thisForm).val("Sending...");
						
				jQuery.ajax({
					type: "POST",
					url: "<?PHP echo TCSUBLOCKER_LOCATION; ?>/inc/submit.php",
					data: thisData,
					// callback handler that will be called on error
					error: function(jqXHR, textStatus, errorThrown){
						// log the error to the console
						console.log("The following error occured: "+textStatus+errorThrown);
						jQuery('input[type="submit"]',thisForm).val("Submit");
					},
					success:function(response){
						jQuery('input[type="submit"]',thisForm).val("Submit");
						if( response.error == 'true' ){
							errormsg.html(response.message);
						} else {
							resultmsg.html(response.message);
						}
					}
				});
				
				return false;
				
			});
			
		});
    
    </script>
	
<?PHP }

/*-----------------------------------------------------------------------------------*/
/*	Post Locker Handle
/*-----------------------------------------------------------------------------------*/

function tcsublocker_post_locker($content){
	
	// Options
	global $post;
	$tcsublocker_postlocker_enabled = get_option('tcsublocker-postlocker-enabled');
	$tcsublocker_postlocker_selector = get_option('tcsublocker-postlocker-selector');
	$tcsublocker_postlocker_pages = explode(',', get_option('tcsublocker-postlocker-pages'));
	$tcsublocker_postlocker_fields = implode(',', get_option('tcsublocker-postlocker-fields'));
	$tcsublocker_postlocker_cat_selector = get_option('tcsublocker-postlocker-cat-selector');
	$tcsublocker_postlocker_cats = explode(',', get_option('tcsublocker-postlocker-cats'));
	
	// Build Category List
	$thisCats = get_the_category($post->ID);

	// Cookie setup
	if( isset( $_COOKIE['tcel_glb'] ) ){
		$thisCookie = $_COOKIE['tcel_glb'];
	} else {
		$thisCookie = '';
	}
	
	// Check if enabled
	if($tcsublocker_postlocker_enabled == 'true'){

		// Check Lock Status
		if($thisCookie == "true"){
			$locked = false;
		} else {
			$locked = true;
		}
		
		// Track rules
		$modified = false;
		
/*-----------------------------------------------------------------------------------*/
/*	Post Selector
/*-----------------------------------------------------------------------------------*/

		if($tcsublocker_postlocker_selector == '1'){
			
			$switch = true;
			
			// Check if page is in the array
			if(in_array($post->ID, $tcsublocker_postlocker_pages)){
			
				// set to true bc page is in selected array
				$switch = false;
				$modified = true;
				
			}
		
		// else check to exclude from pages
		} else if($tcsublocker_postlocker_selector == '2'){
			
			$switch = false;
			
			// disable if page is in array
			if(in_array($post->ID, $tcsublocker_postlocker_pages)){
				
				// lock it down
				$switch = true;
				$modified = true;
				
			}
			
		} // end selector check
		
/*-----------------------------------------------------------------------------------*/
/*	Category Selector
/*-----------------------------------------------------------------------------------*/
		
		// Start Loop
		if($modified == false){if($tcsublocker_postlocker_cat_selector == '1'){
			
			$switch = true;
			
			// Check if category is in the array
			foreach($thisCats as $cat){
				if(in_array($cat->term_id, $tcsublocker_postlocker_cats)){
					// set to true bc page is in selected array
					$switch = false;
				}
			}
		
		// else check to exclude from pages
		} else if($tcsublocker_postlocker_selector == '2'){
			
			$switch = false;
						
			// Check if category is in the array
			foreach($thisCats as $cat){
				if(in_array($cat->term_id, $tcsublocker_postlocker_cats)){
					// set to true bc page is in selected array
					$switch = true;
				}
			}
		
		}} // end selector check
				
		// if locked
		if($locked == true && $switch == true){
												
			// Which pages types should we lock posts on?
			if( is_singular() || is_home() || is_front_page() ){

				if($switch == true){										
					return tcsublocker_create_form($post->ID, 'default', get_option('tcsublocker-subscribe-heading'), get_option('tcsublocker-subscribe-message'), $tcsublocker_postlocker_fields, $content);
				} else {
					return do_shortcode($content);
				}
				
			} // end type / category check
			
		} else {
							
			return do_shortcode($content);
			
		} // end if not locked								
		
	} else {
	
		// return content bc disabled
		return do_shortcode($content);
	
	} // end if anbled
	
}

/*-----------------------------------------------------------------------------------*/
/*	Start Running Hooks
/*-----------------------------------------------------------------------------------*/

// Installer
register_activation_hook( TCSUBLOCKER_PATH.'/tc-email-locker.php', 'tcsublocker_db_install' );
// Add hook to include settings CSS
add_action( 'admin_init', 'tcsublocker_settings_admin_css' );
// create custom plugin settings menu
add_action( 'admin_menu', 'tcsublocker_create_menu' );
// Admin Nav Styles
add_action( 'admin_head', 'tcsublocker_nav_css' );
// JS Loader
add_action( 'init', 'tcsublocker_jsloader' );
// Add the short code to WordPress
add_shortcode("tcsublocker", "tcsublocker_handle");
// Form Submit
add_action( 'wp_footer', 'tcsublocker_form_hooks' );

// Add Post Locker Filter
if( get_option('tcsublocker-postlocker-enabled') == 'true' ){
	add_filter('the_content', 'tcsublocker_post_locker');
}


?>