<?PHP

/*-----------------------------------------------------------------------------------*/
/*	Menu Creation
/*-----------------------------------------------------------------------------------*/

function tcsublocker_create_menu() {
	
	// Create Top Level Menu
	$page = add_menu_page( "مشاهده مطالب در ازای عضویت در خبرنامه", "قفل اعضا", "administrator", __FILE__, "tcsublocker_settings_page", TCSUBLOCKER_LOCATION.'/images/null.png');
	$page2 = add_submenu_page( __FILE__, "مدیریت مشترکین", "مدیریت مشترکین", "administrator", "tcsublocker_manage_page", "tcsublocker_manage_page" );
	
	// Adds the tab into the options panel in WordPress Admin area
	//$page = add_options_page("Aweber Traffic Pop Settings", "Aweber Traffic Pop", 'administrator', __FILE__, 'tcsublocker_settings_page');
		
	//call register settings function
	add_action( 'admin_init', 'tcsublocker_register_settings' );
		
	// Hook style sheet loading
	add_action( 'admin_print_styles-' . $page, 'tcsublocker_settings_admin_cssloader' );
	add_action( 'admin_print_styles-' . $page2, 'tcsublocker_settings_admin_cssloader' );
	
}

function tcsublocker_nav_css(){ // Add CSS Hor Classy Hover Button :)
	?>
	<style type="text/css" media="screen">
		#toplevel_page_tc-email-locker-inc-tcf_settings_page div.wp-menu-image { background:transparent url("<?php echo TCSUBLOCKER_LOCATION.'/images/menu-icon.png'; ?>") no-repeat center center;}
		#toplevel_page_tc-email-locker-inc-tcf_settings_page:hover div.wp-menu-image,
		#toplevel_page_tc-email-locker-inc-tcf_settings_page.wp-has-current-submenu div.wp-menu-image
		{ background:transparent url("<?php echo TCSUBLOCKER_LOCATION.'/images/menu-icon-hover.png'; ?>") no-repeat center center; }	
	</style>
	<?php
}
	
/*-----------------------------------------------------------------------------------*/
/*	Add Admin CSS
/*-----------------------------------------------------------------------------------*/

function tcsublocker_settings_admin_css(){
				
	/* Register our stylesheet. */
	wp_register_style( 'tcsublockerSettings', TCSUBLOCKER_LOCATION.'/css/tc_framework.css' );
							
} function tcsublocker_settings_admin_cssloader(){
	
	// It will be called only on your plugin admin page, enqueue our stylesheet here
	wp_enqueue_style( 'tcsublockerSettings' );
	   
}

/*-----------------------------------------------------------------------------------*/
/*	Register Settings
/*-----------------------------------------------------------------------------------*/

function tcsublocker_register_settings(){
		
	// Register our settings
	register_setting( 'tcsublocker-settings-group', 'tcsublocker-googl-enabled' );
	register_setting( 'tcsublocker-settings-group', 'tcsublocker-api-key' );
	register_setting( 'tcsublocker-settings-group', 'tcsublocker-penalty' );
	register_setting( 'tcsublocker-settings-group', 'tcsublocker-subscribe-heading' );
	register_setting( 'tcsublocker-settings-group', 'tcsublocker-subscribe-message' );
	register_setting( 'tcsublocker-settings-group', 'tcsublocker-optin-message' );
	register_setting( 'tcsublocker-settings-group', 'tcsublocker-thankyou-message' );
	register_setting( 'tcsublocker-settings-group', 'tcsublocker-verified-message' );
	register_setting( 'tcsublocker-settings-group', 'tcsublocker-postlocker-enabled' );
	register_setting( 'tcsublocker-settings-group', 'tcsublocker-postlocker-selector' );
	register_setting( 'tcsublocker-settings-group', 'tcsublocker-postlocker-pages' );
	register_setting( 'tcsublocker-settings-group', 'tcsublocker-postlocker-fields' );
	register_setting( 'tcsublocker-settings-group', 'tcsublocker-postlocker-cat-selector' );
	register_setting( 'tcsublocker-settings-group', 'tcsublocker-postlocker-cats' );

	// Apply default options to settings
	add_option( 'tcsublocker-googl-enabled', 'true' );
	add_option( 'tcsublocker-penalty', '3' );
	add_option( 'tcsublocker-subscribe-heading', 'میخواهید ادامه متن را بخوانید؟' );
	add_option( 'tcsublocker-subscribe-message', "کافیست آدرس ایمیل خود را وارد کنید و در خبرنامه عضو شوید تا بتوانید ادامه متن را مشاهده کنید" );
	add_option( 'tcsublocker-optin-message', "بله! میخواهم مرا از مطالب بعدی آگاه کنید" );
	add_option( 'tcsublocker-thankyou-message', 'از عضویت شما سپاسگذاریم. ایمیلی تا دقایقی دیگر برایتان ارسال می گردد. کافیست روی لینک مورد نظر در ایمیل کلیک کنید تا عضویت شما تکمیل گردد' );
	add_option( 'tcsublocker-verified-message', "شما قبلا در خبرنامه عضو شده اید. :)" );
	add_option( 'tcsublocker-postlocker-enabled', 'false' );
	add_option( 'tcsublocker-postlocker-fields', '' );
	add_option( 'tcsublocker-postlocker-selector', '1' );
	add_option( 'tcsublocker-postlocker-cat-selector', '2' );

}

/*-----------------------------------------------------------------------------------*/
/*	Ajax save callback
/*-----------------------------------------------------------------------------------*/

add_action('wp_ajax_tcsublocker_tc_settings_save', 'tcsublocker_tc_settings_save');

function tcsublocker_tc_settings_save(){

	check_ajax_referer('tcsublocker_settings_secure', 'security');
	
		// Setup Extra Fields
		$fields = array();
		if( isset( $_POST['tcsublocker-fname'] ) && $_POST['tcsublocker-fname'] == 'true' ){ $fields[] = 'firstname'; }
		if( isset( $_POST['tcsublocker-lname'] ) && $_POST['tcsublocker-lname'] == 'true' ){ $fields[] = 'lastname'; }
		if( isset( $_POST['tcsublocker-phone'] ) && $_POST['tcsublocker-phone'] == 'true' ){ $fields[] = 'phone'; }
	
        // Save the posted value in the database
		update_option('tcsublocker-googl-enabled', $_POST['tcsublocker-googl-enabled']);
		update_option('tcsublocker-api-key', $_POST['tcsublocker-api-key']);
		update_option('tcsublocker-penalty', $_POST['tcsublocker-penalty']);
		update_option('tcsublocker-subscribe-heading', $_POST['tcsublocker-subscribe-heading']);
		update_option('tcsublocker-subscribe-message', $_POST['tcsublocker-subscribe-message']);
		update_option('tcsublocker-optin-message', $_POST['tcsublocker-optin-message']);
		update_option('tcsublocker-thankyou-message', $_POST['tcsublocker-thankyou-message']);
		update_option('tcsublocker-verified-message', $_POST['tcsublocker-verified-message']);
		update_option('tcsublocker-postlocker-enabled', $_POST['tcsublocker-postlocker-enabled']);
		update_option('tcsublocker-postlocker-selector', $_POST['tcsublocker-postlocker-selector']);
		update_option('tcsublocker-postlocker-pages', $_POST['tcsublocker-postlocker-pages']);
		update_option('tcsublocker-postlocker-cat-selector', $_POST['tcsublocker-postlocker-cat-selector']);
		update_option('tcsublocker-postlocker-cats', $_POST['tcsublocker-postlocker-cats']);
		update_option('tcsublocker-postlocker-fields', $fields);
		
}

/*-----------------------------------------------------------------------------------*/
/*	New framework settings page
/*-----------------------------------------------------------------------------------*/

function tcsublocker_settings_page() {

?>

<script>
	
jQuery(document).ready(function(){

/*-----------------------------------------------------------------------------------*/
/*	Options Pages and Tabs
/*-----------------------------------------------------------------------------------*/
	  
	jQuery('.options_pages li').click(function(){
		
		var tab_page = 'div#' + jQuery(this).attr('id');
		var old_page = 'div#' + jQuery('.options_pages li.active').attr('id');
		
		// Change button class
		jQuery('.options_pages li.active').removeClass('active');
		jQuery(this).addClass('active');
				
		// Set active tab page
		jQuery(old_page).fadeOut('slow', function(){
			
			jQuery(tab_page).fadeIn('slow');
			
		});
		
	});
	
/*-----------------------------------------------------------------------------------*/
/*	Form Submit
/*-----------------------------------------------------------------------------------*/
	
	jQuery('form#plugin-options').submit(function(){
			
		var data = jQuery(this).serialize();
		
		jQuery.post(ajaxurl, data, function(response){
			
			if(response == 0){
				
				// Flash success message and shadow
				var success = jQuery('#success-save');
				var bg = jQuery("#message-bg");
				success.css("position","fixed");
				success.css("top", ((jQuery(window).height() - 65) / 2) + jQuery(window).scrollTop() + "px");
				success.css("left", ((jQuery(window).width() - 257) / 2) + jQuery(window).scrollLeft() + "px");
				bg.css({"height": jQuery(window).height()});
				bg.css({"opacity": .45});
				bg.fadeIn("slow", function(){
					success.fadeIn('slow', function(){
						success.delay(1500).fadeOut('fast', function(){
							bg.fadeOut('fast');
						});
					});
				});
								
			} else {
				
				//error out
				
			}
		
		});
				  
		return false;
	
	});	
	
/*-----------------------------------------------------------------------------------*/
/*	Finished
/*-----------------------------------------------------------------------------------*/
	
});

</script>

<div id="message-bg"></div>
<div id="success-save"></div>

<div id="tc_framework_wrap">

	<div id="header">
    	<h1>نمایش مطالب در ازای عضویت در خبرنامه<a href="<?PHP echo TCSUBLOCKER_LOCATION; ?>/documentation" target="_blank">&laquo; فارسی سازی توسط پرشین اسکریپت</a></h1>
        <span class="icon">&nbsp;</span>
        <br class="clear" />
    </div>
    
    <div id="content_wrap">
    
    	<form id="plugin-options" name="plugin-options" action="/">
        <?php settings_fields( 'tcsublocker-settings-group' ); ?>
        <input type="hidden" name="action" value="tcsublocker_tc_settings_save" />
        <input type="hidden" name="security" value="<?php echo wp_create_nonce('tcsublocker_settings_secure'); ?>" />
        
        	<div id="sub_header" class="info">
            
                <input type="submit" name="settingsBtn" id="settingsBtn" class="button-framework save-options" value="ذخیره همه تغییرات" />
                <span>تنظیمات افزونه</span>
                
            </div>
            
            <div id="content">
            
            	<div id="options_content">
                
                	<ul class="options_pages">
                    	<li id="general_options" class="active"><a href="#">تنظیمات عمومی</a><span></span></li>
                    	<li id="post_options"><a href="#">تنظیمات قفل مطلب</a><span></span></li>
                    	<li id="subtemps_options"><a href="#">ویرایش قالب ها</a><span></span></li>
                    </ul>
                    
                    <div id="general_options" class="options_page">
                    
                    	<div class="option">
                        	<h3>استفاده از آدرس کوتاه برای مطالب</h3>
                            <div class="section">
                            	<div class="element"><select name="tcsublocker-googl-enabled" id="tcsublocker-googl-enabled" class="textfield">
                    <option value="true" <?PHP if(get_option('tcsublocker-googl-enabled') == 'true'){echo 'selected="selected"';} ?>>فعال</option>
                    <option value="false" <?PHP if(get_option('tcsublocker-googl-enabled') == 'false'){echo 'selected="selected"';} ?>>غیر فعال</option>
                				</select></div>
                                <div class="description">با فعال سازی این گزینه قابلیت ارسال لینک ها به صورت کوتاه شده فراهم می گردد</div>
                            </div>
                        </div>
                        
                        
                    	<div class="option">
                        	<h3>کد API Goo.gl</h3>
                            <div class="section">
                            	<div class="element"><input class="textfield" name="tcsublocker-api-key" type="text" id="tcsublocker-api-key" value="<?php echo get_option('tcsublocker-api-key'); ?>" /></div>
                                <div class="description">کد API سرویس goo.gl را وارد کنید تا این قابلیت فعال گردد</div>
                            </div>
                        </div>


                    	<div class="option">
                        	<h3>ایمیل جعلی</h3>
                            <div class="section">
                            	<div class="element"><input class="textfield" name="tcsublocker-penalty" type="text" id="tcsublocker-penalty" value="<?php echo get_option('tcsublocker-penalty'); ?>" /></div>
                                <div class="description">حداقل زمان انتظار برای وارد کردن مجدد ایمیل بر اساس دقیقه. پیشفرض: 3 دقیقه</div>
                            </div>
                        </div>
                                                                                                
                    </div>            

					
                    <div id="post_options" class="options_page hide">
                    
                    	<div class="option">
                        	<h3><?php _e('فعال سازی قفل کننده مطالب', 'tcsublocker') ?></h3>
                            <div class="section">
                            	<div class="element"><select name="tcsublocker-postlocker-enabled" id="tcsublocker-postlocker-enabled" class="textfield">
                <option value="true" <?PHP if(get_option('tcsublocker-postlocker-enabled') == 'true'){echo 'selected="selected"';} ?>><?php _e('فعال', 'tcsublocker') ?></option>
                <option value="false" <?PHP if(get_option('tcsublocker-postlocker-enabled') == 'false'){echo 'selected="selected"';} ?>><?php _e('غیر فعال', 'tcsublocker') ?></option>
                				</select></div>
                                <div class="description"><?php _e('فعال/غیر فعال سازی قفل کردن گسترده مطالب', 'tcsublocker') ?>.</div>
                            </div>
                        </div> 
                        
                        
                    	<div class="option">
                        	<h3>فیلد های فعال</h3>
                            <div class="section">
                            	<div class="element">
									<?PHP
									
									// Setup Fields
                                    $enabledFields = get_option('tcsublocker-postlocker-fields');
									
									if( !is_array($enabledFields) ){
										$enabledFields = array();
									}
									
									?>
                                    <input name="tcsublocker-fname" type="checkbox" id="tcsublocker-fname" value="true" <?PHP if( in_array('firstname', $enabledFields) ) { ?>checked="checked"<?PHP } ?> /> نام
                                    <input style="margin:0 0 0 10px;" id="tcsublocker-lname" name="tcsublocker-lname" type="checkbox" value="true" <?PHP if( in_array('lastname', $enabledFields) ) { ?>checked="checked"<?PHP } ?>  /> نام خانوادگی
                                    <input style="margin:0 0 0 10px;" id="tcsublocker-phone" name="tcsublocker-phone" type="checkbox" value="true" <?PHP if( in_array('phone', $enabledFields) ) { ?>checked="checked"<?PHP } ?>  /> شماره تلفن
                                <br /></div>
                                <div class="description">فعال سازی فیلد ها</div>
                            </div>
                        </div> 


                    	<div class="option">
                        	<h3><?php _e('شامل/محرومیت برگه ها', 'tcsublocker') ?></h3>
                            <div class="section">
                            	<div class="element"><select name="tcsublocker-postlocker-selector" id="tcsublocker-postlocker-selector" class="textfield">
                <option value="1" <?PHP if(get_option('tcsublocker-postlocker-selector') == '1'){echo 'selected="selected"';} ?>>قفل کردن تمامی برگه ها به جز شناسه های وارد شده در زیر</option>
                <option value="2" <?PHP if(get_option('tcsublocker-postlocker-selector') == '2'){echo 'selected="selected"';} ?>>تنها قفل کردن برگه ها با شناسه های زیر</option>
                				</select></div>
                                <div class="description">نوع قفل برای برگه ها را انتخاب کنید</div>
                            </div>
                        </div>  
                        
                    	<div class="option">
                        	<h3><?php _e('برگه های انتخاب شده', 'tcsublocker') ?></h3>
                            <div class="section">
                            	<div class="element"><input class="textfield" name="tcsublocker-postlocker-pages" type="text" id="tcsublocker-postlocker-pages" value="<?php echo get_option('tcsublocker-postlocker-pages'); ?>" /></div>
                                <div class="description"><?php _e('شناسه صفحات / نوشته ها و برگه های دلخواه را وارد کنید. با کاما شناسه ها را جداسازی کنید. مانند: 101,225,9', 'tcsublocker') ?>.</div>
                            </div>
                        </div>                        
                    
                    	<div class="option">
                        	<h3><?php _e('شامل/محرومیت دسته ها', 'tcsublocker') ?></h3>
                            <div class="section">
                            	<div class="element"><select name="tcsublocker-postlocker-cat-selector" id="tcsublocker-postlocker-cat-selector" class="textfield">
                <option value="1" <?PHP if(get_option('tcsublocker-postlocker-cat-selector') == '1'){echo 'selected="selected"';} ?>>قفل کردن تمامی دسته ها به جز شناسه های وارد شده در زیر</option>
                <option value="2" <?PHP if(get_option('tcsublocker-postlocker-cat-selector') == '2'){echo 'selected="selected"';} ?>>تنها قفل کردن دسته ها با شناسه های زیر</option>
                				</select></div>
                                <div class="description">نوع قفل برای دسته ها را وارد کنید</div>
                            </div>
                        </div>  
                        
                    	<div class="option">
                        	<h3>دسته های انتخاب شده</h3>
                            <div class="section">
                            	<div class="element"><input class="textfield" name="tcsublocker-postlocker-cats" type="text" id="tcsublocker-postlocker-cats" value="<?php echo get_option('tcsublocker-postlocker-cats'); ?>" /></div>
                                <div class="description">شناسه ی دسته های انتخاب شده را وارد کنید. با کاما (ویرگول) جداسازی کنید. مانند: 101,225,9</div>
                            </div>
                        </div>                        
                    
                    </div>
                    
                    
                    <div id="subtemps_options" class="options_page hide">     
                    
                    	<div class="option">
                        	<h3>عنوان پیشفرض</h3>
                            <div class="section">
                            	<div class="element"><input class="textfield" name="tcsublocker-subscribe-heading" type="text" id="tcsublocker-subscribe-heading" value="<?php echo get_option('tcsublocker-subscribe-heading'); ?>" /></div>
                                <div class="description">عنوان پیشفرض برای کاربرانی که هنوز عضو خبرنامه نشده اند.</div>
                            </div>
                        </div>


                    	<div class="option">
                        	<h3>پیغام پیشفرض بازدیدکنندگان</h3>
                            <div class="section">
                            	<div class="element"><textarea class="textfield" name="tcsublocker-subscribe-message" cols="" rows="5" id="tcsublocker-subscribe-message"><?php echo get_option('tcsublocker-subscribe-message'); ?></textarea></div>
                                <div class="description">پیغام پیشفرش قابل نمایش برای کاربرانی که هنوز عضو خبرنامه نشده اند.</div>
                            </div>
                        </div>


                    	<div class="option">
                        	<h3>پیغام تایید چک باکس - جعبه انتخاب</h3>
                            <div class="section">
                            	<div class="element"><textarea class="textfield" name="tcsublocker-optin-message" cols="" rows="5" id="tcsublocker-optin-message"><?php echo get_option('tcsublocker-optin-message'); ?></textarea></div>
                                <div class="description">متن دلخواه خود را برای قسمت انتخاب (چک باکس) را وارد کنید.</div>
                            </div>
                        </div>
                        
                        
                    	<div class="option">
                        	<h3>پیغام تشکر</h3>
                            <div class="section">
                            	<div class="element"><textarea class="textfield" name="tcsublocker-thankyou-message" cols="" rows="5" id="tcsublocker-thankyou-message"><?php echo get_option('tcsublocker-thankyou-message'); ?></textarea></div>
                                <div class="description">پیغام تشکر در هنگام عضویت کاربران در خبرنامه را وارد کنید.</div>
                            </div>
                        </div>
                        
                        
                    	<div class="option">
                        	<h3>پیغام شما قبلا عضو شده اید</h3>
                            <div class="section">
                            	<div class="element"><input class="textfield" name="tcsublocker-verified-message" type="text" id="tcsublocker-verified-message" value="<?php echo get_option('tcsublocker-verified-message'); ?>" /></div>
                                <div class="description">پیغام دلخواهی که برای کاربرانی که قبلا در خبرنامه عضو شده اند را وارد کنید</div>
                            </div>
                        </div>
                                                                        
                    </div>            
                                        
            		<br class="clear" />
                    
            </div>
            
            <div class="info bottom">
            
                <input type="submit" name="settingsBtn" id="settingsBtn" class="button-framework save-options" value="ذخیره همه تغییرات" />
            
            </div>
            
        </form>
        
    </div>

</div>

<?php } ?>