<?PHP

/*-----------------------------------------------------------------------------------*/
/*	Add tinyMCE Button
/*-----------------------------------------------------------------------------------*/

function tcsublocker_mce(){
	
	// Don't bother doing this stuff if the current user lacks permissions
	if ( ! current_user_can('edit_posts') && ! current_user_can('edit_pages') )
	return;
	
	// Add only in Rich Editor mode
	if( get_user_option('rich_editing') == 'true'){
		
		// Add cutom button to TinyMCE
		add_filter('mce_external_plugins', "tcsublocker_mce_register");
		add_filter('mce_buttons', 'tcsublocker_add_button', 0);
		
	}
	
}
function tcsublocker_add_button($buttons) {
   array_push($buttons, "separator", "tcsublockerplugin");
   return $buttons;
}
function tcsublocker_mce_register($plugin_array) {
   $plugin_array['tcsublockerplugin'] = TCSUBLOCKER_LOCATION."/mce/mce_button.js";
   return $plugin_array;
} // end tinyMCE

/*-----------------------------------------------------------------------------------*/
/*	Shortcode Handler
/*-----------------------------------------------------------------------------------*/

function tcsublocker_handle($atts, $content) {
	
	// Extract variables from shortcode tag, set defaults
	extract(shortcode_atts(array(
		"id" => 'NA',
		"theme" => 'default',
		"title" => get_option('tcsublocker-subscribe-heading'),
		"message" => get_option('tcsublocker-subscribe-message'),
		"fields" => ''
	), $atts));
							
	return tcsublocker_create_form($id, $theme, $title, $message, $fields, $content);
											
}// End shortcode handler

/*-----------------------------------------------------------------------------------*/
/*	Built Extra Form Fields
/*-----------------------------------------------------------------------------------*/

function tcsublocker_extra_fields($fields){
	
	$return = '';
	
	// First Name
	if( in_array('firstname', $fields) ){$return = $return . "
		<input type=\"text\" onblur=\"if(this.value=='')this.value='نام';\" onfocus=\"if(this.value=='نام')this.value='';\" value=\"نام\" name=\"firstname\" class=\"tcfield\">
	";}

	// Last Name
	if( in_array('lastname', $fields) ){$return = $return . "
		<input type=\"text\" onblur=\"if(this.value=='')this.value='نام خانوادگی';\" onfocus=\"if(this.value=='نام خانوادگی')this.value='';\" value=\"نام خانوادگی\" name=\"lastname\" class=\"tcfield\">
	";}
	
	// Phone Number
	if( in_array('phone', $fields) ){$return = $return . "
		<input type=\"text\" onblur=\"if(this.value=='')this.value='تلفن تماس';\" onfocus=\"if(this.value=='تلفن تماس')this.value='';\" value=\"تلفن تماس\" name=\"phone\" class=\"tcfield\">
	";}
	
	return $return;
	
}

/*-----------------------------------------------------------------------------------*/
/*	Generate Download Form
/*-----------------------------------------------------------------------------------*/

function tcsublocker_create_form($id, $theme, $title, $message, $fields, $content){
	
	// Set Vars
	$tcsublocker_googl_enabled = get_option('tcsublocker-googl-enabled');
	$tcsublocker_api_key = get_option('tcsublocker-api-key');
	$tcsublocker_penalty = get_option('tcsublocker-penalty');
	$tcsublocker_optin_message = stripslashes_deep( get_option('tcsublocker-optin-message') );
	$tcsublocker_verified_message = stripslashes_deep( get_option('tcsublocker-verified-message') );
	$fields = explode(',', $fields);
	
	// Setup This Cookie
	if( isset( $_COOKIE['tcel_glb'] ) ){
		$cookie = $_COOKIE['tcel_glb'];
	} else {
		$cookie = '';
	}
	
	// Start Loop
	if( $cookie == 'waiting' ){
	
	$return = '
	
    <div class="tcsublocker-sub-box">
    
        <div class="tcsublocker-sub-inner">
        
            <h3>سلام! ایمیل خودتون رو بررسی کردید؟</h3>
            <p>شما قبلا درخواست لینک دانلود داده اید و لینک برایتان ایمیل شده است.</p><br />
            
            <p>نکته: شما می توانید پس از '.$tcsublocker_penalty.' دقیقه مجدد درخواست دهید.</p>
                        
        </div>
        
    </div>
	
    ';
    
 } elseif( $cookie == 'true' ){
	 
	 $return = $content;
    
	} else {
		
	$extra_fields = tcsublocker_extra_fields($fields);
		
	$return = "

    <div class=\"tcsublocker-sub-box\">
    
        <div class=\"tcsublocker-sub-inner\">
        
            <h3>$title</h3>
            <p>$message</p>
            
            <form class=\"tcsublocker-sub-form\">
            
                <div class=\"replaceArea\">
                
                	<div class=\"replaceArea-error\"></div>
                    
                    <center>
                    <input type=\"text\" onblur=\"if(this.value=='')this.value='آدرس ایمیل';\" onfocus=\"if(this.value=='آدرس ایمیل')this.value='';\" value=\"آدرس ایمیل\" name=\"email\" class=\"tcfield\">
					
					$extra_fields
					                    
                    <input type=\"submit\" value=\"ارسال\" class=\"tcsublocker-submit\">
                    </center>
                    
                    <label><input class=\"agree\" type=\"checkbox\" checked=\"checked\" value=\"1\" name=\"agree\"><span>$tcsublocker_optin_message</span></label>
                    
                    <input type=\"hidden\" name=\"id\" id=\"id\" value=\"".base64_encode($id)."\">
                    
                </div>
                
            </form>
            
        </div>
        
    </div>
	
	";

	} // end if
	
	return $return;
	
} // end main ?>